> For the complete documentation index, see [llms.txt](https://docs.onchainpay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onchainpay.io/ru/api-reference/12kyt/post_check-transfer.md).

# Проверка рисков транзакции

Метод позволяет проверить риски совершенной транзакции.

Данный запрос может выполняться несколько секунд. Не рекомендуется ставить timeout меньше 15 секунд.

### Запрос:

| **Параметр**  | **Обязателен** | **Тип** | **Описание**                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| ------------- | -------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| tx            | Да             | Строка  | Хеш транзакции                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| currency      | Да             | Строка  | Монета                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| network       | Да             | Строка  | Сеть                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| outputAddress | Да             | Строка  | Адрес-получатель монет                                                                                                                                                                                                                                                                                                                                                                                                                                |
| direction     | Да             | Строка  | <p>Сторона для проверки рисков. Принимает значение <code>sent</code> или <code>received</code>.<br><br>Значение <code>sent</code> следует передавать, если была совершена транзакция вывода с вашего адреса: тогда будут проверены риски совершенной транзакции со стороны отправителя<br><br>Значение <code>received</code> следует передавать, если был совершен депозит на ваш адрес: тогда будут проверены риски получения монет на ваш адрес</p> |

### Ответ:

| **Параметр**         | **Тип**         | **Описание**                                                                                                                                                                                                                                                              |
| -------------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| level                | Строка          | Уровень риска                                                                                                                                                                                                                                                             |
| categories           | Строка          | Массив с разбиением риска по категориям                                                                                                                                                                                                                                   |
| categories.level     | Строка          | Уровень риска в этой категории                                                                                                                                                                                                                                            |
| categories.usdAmount | Число           | Сумма в USD, которая связана с этой категорией риска                                                                                                                                                                                                                      |
| categories.category  | Строка или null | Название категории                                                                                                                                                                                                                                                        |
| categories.service   | Строка или null | Сервис, который связан с данной категорией риска                                                                                                                                                                                                                          |
| categories.exposure  | Строка          | <p><code>DIRECT</code> - прямая связь ("грязные" монеты были отправлены с адреса злоумышленника на адрес получателя напрямую)<br><br><code>INDIRECT</code> - косвенная связь (полученные монеты когда-то были помечены рискованными, но прошли через цепочку адресов)</p> |

Параметр `level` может принимать следующие значения:

* `white` - нет риска
* `green` - минимальный риск
* `yellow` - средний риск
* `red` - высокий риск
* `black` - критический риск

{% openapi src="/files/fYny1be3HQkwv8pcyVWc" path="/api-gateway/kyt/check-transfer" method="post" %}
[openapi.json](https://2053084324-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FjD2GptgnRBnSrByer9Fs%2Fuploads%2Fgit-blob-c0b8b85b349592094469ee635d6c918de8f3eba5%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.onchainpay.io/ru/api-reference/12kyt/post_check-transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
